## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iCelRule Member List

This is the complete list of members for iCelRule, including all inherited members.

GetExpression()=0 | iCelRule | `[pure virtual]`
GetName() const =0 | iCelRule | `[pure virtual]`
GetPriority()=0 | iCelRule | `[pure virtual]`
GetPriorityNumber() const =0 | iCelRule | `[pure virtual]`
GetVariable() const =0 | iCelRule | `[pure virtual]`
GetVariableIndex()=0 | iCelRule | `[pure virtual]`
SetExpression(iCelExpression *expr)=0 | iCelRule | `[pure virtual]`
SetPriority(csStringID priority)=0 | iCelRule | `[pure virtual]`
SetVariable(const char *var)=0 | iCelRule | `[pure virtual]`